.register-banner-partner {
  margin-top: 115px;
  position: relative;
  .banner-register {
    background-image: url(./../images/bg-banner.png);
    position: relative;
    z-index: 1;
    background-position: center;
    background-size: cover;
    height: 16vh;
    //filter: grayscale(100%);
  }
  .content-text-banner {
    position: absolute;
    width: 100%;
    top: 0;
    height: 100%;
    z-index: 1;
    background: rgba(0, 0, 0, 0.69);
    .text-banner {
      height: 100%;
      display: flex;
      align-items: center;
      flex-wrap: wrap;
      text-align: center;
      padding: 15px 0;
      h3 {
        width: 100%;
        color: #48bafd;
        font-size: 24px;
      }
      .sub-menu {
        width: 100%;
        text-align: center;
        justify-content: center;
        display: flex;
        nav {
          @include breakpoint(lores) {
            width: 100%;
            justify-content: flex-end;
            position: relative;
          }
          .navbar-toggler {
            color: #fff;
            background-color: #fff;
          }
          .navbar-collapse {
            @include breakpoint(lores) {
              background-color: #3c763d;
              position: absolute;
              top: 50px;
              width: 100%;
              height: auto;
              left: 0;
            }
          }
          .navbar-nav {
            .nav-item {
              color: #aaaaaa;
              position: relative;
              margin: 0 20px;
              &.active {
                color: #fff;
                &:after {
                  content: "";
                  position: absolute;
                  color: #fff;
                  background: #fff;
                  width: 100%;
                  height: 2px;
                  bottom: 3px;
                  left: 50%;
                  transform: translateX(-50%);
                  @include breakpoint(lores) {
                    width: 100%;
                  }
                }
              }
            }
          }
        }
      }
      ul {
        width: 100%;
        li {
          display: inline-block;
          padding: 0 30px;
          a {
            font-size: 18px;
            color: #aaaaaa;
            position: relative;
            &.active {
              color: #fff;
              &:after {
                content: "";
                position: absolute;
                color: #fff;
                background: #fff;
                width: 100%;
                height: 2px;
                bottom: 0px;
                left: 50%;
                transform: translateX(-50%);
                @include breakpoint(lores) {
                  width: 100%;
                }
              }
            }
          }
        }
      }
    }
  }

  .header-join {
    height: 120px;
    position: relative;
    background: url(./../images/bg-banner.png);
    background-position: center;
    background-size: cover;
    .bg-color {
      background: rgba(0, 0, 0, 0.74);
      height: 100%;
    }
    .row {
      margin: 0;
      .col-join {
        padding: 0;
      }
    }
    .title-join-account {
      margin-top: 20px;
      margin-bottom: 27px;
      @include breakpoint(lores) {
        position: absolute;
        padding-left: 5%;
        margin-top: 40px;
      }
      h2 {
        font-size: 24px;
        color: #48bafd;
      }
    }
    .bg-light {
      background: transparent !important;
      @include breakpoint(lores) {
        padding: 0;
      }
      .navbar-nav {
        margin: auto;
        @include breakpoint(lores) {
          background: #28614ce8;
          position: relative;
          top: 120px;
          z-index: 11;
        }
        @media screen and (max-width: 320px) {
          top: 45px;
        }
        .nav-item {
          color: #aaaaaa;
          font-size: 18px;
          margin: 0 42px;
          padding: 0;
          @include breakpoint(lores) {
            margin: 0 20px;
            padding: 10px 0;
          }
          &:hover {
            border-bottom: 2px solid #fff;
            color: #fff;
          }
        }
        .active {
          border-bottom: 2px solid #fff;
          color: #fff;
        }
      }
      .navbar-toggler {
        position: absolute;
        right: 5%;
        border: none;
        top: 40px;
        i {
          font-size: 30px;
          color: #fff;
        }
      }
    }
  }
}

.register-partner-form {
  .content-form-register {
    padding: 5% 20%;
    @include breakpoint(lores) {
      padding: 5% 0;
    }
    .text-form {
      @include breakpoint(lores) {
        margin: 0;
      }
      h3 {
        font-size: 14px;
        color: #787878;
        @include breakpoint(lores) {
          padding: 0 15px;
        }
        strong {
          color: #787878;
          font-size: 24px;
          padding-right: 5px;
        }
      }
    }
    .step-form {
      @include breakpoint(lores) {
        margin: 0;
      }
      .content-step-form {
        @include breakpoint(lores) {
          padding: 0;
        }
      }
      .content-step {
        text-align: center;
        justify-content: center;
        position: relative;
        display: flex;
        align-items: center;
        margin: 5% 10% 15%;
        .item-circle {
          position: relative;
          padding: 15px 0;
          &:before {
            content: "";
            background-color: #aaaaaa;
            border-radius: 50%;
            padding: 4px;
            width: 3px;
            height: 4px;
            display: block;
          }
          label {
            position: absolute;
            top: 40px;
            left: -25px;
          }
          &.active {
            padding: 15px;
            border-radius: 50%;
            background-color: #f5f5f5;
            &:before {
              background-color: #48bafd;
            }
            label {
              color: #48bafd;
            }
          }
        }
        span {
          height: 2px;
          //padding: 0 15%;
          width: 30%;
          background-color: #f5f5f5;
          color: #f5f5f5;
        }

        ul {
          display: flex;
          justify-content: center;
          li {
            display: inline-block;
            padding: 10px 15px;
            position: relative;
            &:before {
              content: "";
              width: 15px;
              height: 15px;
              border-radius: 50%;
              color: #000;
              background: #000;
            }
            &:after {
              content: "";
              width: 100%;
              height: 2px;
              background: black;
              position: absolute;
              left: -50%;
              top: 25px;
              z-index: -1;
            }
            &.active {
              &:after {
                content: none;
              }
            }
            i {
              font-size: 7px;
              width: 100%;
              display: block;
            }
            span {
              max-width: 120px;
              display: block;
              margin-top: 20px;
            }
          }
        }
      }
      .form-register {
        .text-require {
          display: flex;
          justify-content: space-between;
          margin: 0 15px;
          border-bottom: 2px solid #000;
          padding-bottom: 15px;
          label {
            display: flex;
            align-items: center;
            i {
              font-size: 7px;
              padding-right: 5px;
            }
            color: #48bafd;
          }
        }
        .center-form {
          margin: 30px 15px 0;
          .input-group {
            margin: 0 0 30px;
            display: flex;
            align-items: center;
            &.error-message {
              margin-bottom: 40px;
              .tooptip-text {
                position: absolute;
                @include breakpoint(lores) {
                  position: static;
                }
                p {
                  color: #dc3545;
                }
              }
            }
            input {
              padding: 14px 12px;
              height: auto;
            }
            select {
              padding: 14px 12px;
              height: auto;
              -webkit-appearance: none;
              appearance: none;
            }
            textarea {
              resize: none;
              &::placeholder {
                color: #aaaaaa;
              }
              &.read-only {
                background: transparent;
              }
            }
            .check-email {
              background: #f9f9f9;
              color: #787878;
              border: 1px solid #e1e1e1;
              border-radius: 0;
              width: 100%;
              padding: 10px 12px;
              @include breakpoint(lores) {
                margin-top: 10px;
              }
            }
            .item-text {
              padding-left: 0;
            }
            .item-select {
              display: flex;
              align-items: center;
              position: relative;
              width: 100%;
              i {
                position: absolute;
                right: 35px;
                font-size: 25px;
                color: #aaaaaa;
                &.fa-angle-up {
                  top: 15px;
                }
                &.fa-angle-down {
                  bottom: 15px;
                }
              }
            }
            &.group-keyword {
              align-items: end;
              label {
                padding: 0 10px 0 0;
              }
            }
            &.group-area {
              align-items: end;
            }
            &.group-sns {
              align-items: end;
              .item-sns {
                .content-sns {
                  display: flex;
                  margin-bottom: 20px;
                  &.error-message {
                    position: relative;
                    margin-bottom: 35px;
                    .tooptip-text {
                      position: absolute;
                      bottom: -25px;
                      p {
                        color: #fc3667;
                      }
                    }
                  }
                  .input-group-prepend {
                    width: 40%;
                    overflow: hidden;
                    @include breakpoint(lores) {
                      width: 75%;
                    }
                    .input-group-text {
                      border: 1px solid #ced4da;
                      background: transparent;
                      font-size: 14px;
                      border-right: 0;
                      width: 100%;
                      position: relative;
                      border-radius: 0.25rem 0 0 0.25rem;

                      @include breakpoint(lores) {
                        font-size: 12px;
                      }
                      b {
                        color: #fc3667;
                        padding-left: 5px;
                      }
                      &:after {
                        content: "";
                        width: 1px;
                        background: #ced4da;
                        color: #ced4da;
                        height: 80%;
                        display: block;
                        position: absolute;
                        right: 0;
                        top: 5px;
                      }
                    }
                    span {
                    }
                  }
                  .form-input {
                    width: 60%;
                    font-size: 14px;
                    border: 1px solid #ced4da;
                    border-left: 0;
                    border-radius: 0 0.25rem 0.25rem 0;
                  }
                }
              }
            }
            &.group-condition {
              align-items: end;
              margin: 0 0 10px;
              .item-text {
                label {
                  padding: 0 10px 0 0;
                  strong {
                    color: #48bafd;
                  }
                }
              }
              .content-condition {
                .item-condition {
                  margin-bottom: 0px;
                  padding: 5px 0;

                  .item-checkbox {
                    .checkbox label:after {
                      content: "";
                      display: table;
                      clear: both;
                    }
                    .checkbox {
                      label {
                        display: flex;
                        align-items: center;
                        strong {
                          font-weight: bold;
                          font-size: 16px;
                          color: #000;
                        }
                        .cr {
                          position: relative;
                          display: inline-block;
                          border: 1px solid #a9a9a9;
                          border-radius: 0.25em;
                          width: 1.3em;
                          height: 1.3em;
                          float: left;
                          margin-right: 0.5em;
                          .cr-icon {
                            position: absolute;
                            font-size: 0.8em;
                            line-height: 0;
                            top: 50%;
                            left: 20%;
                            color: #fc3667;
                          }
                        }
                        &.error-checkbox {
                          .cr {
                            border: 1px solid #fc3667;
                          }
                          strong {
                            color: #fc3667;
                          }
                        }
                      }
                    }

                    .checkbox label input[type="checkbox"] {
                      display: none;
                    }

                    .checkbox label input[type="checkbox"] + .cr > .cr-icon {
                      transform: scale(3) rotateZ(-20deg);
                      opacity: 0;
                      transition: all 0.3s ease-in;
                    }

                    .checkbox
                      label
                      input[type="checkbox"]:checked
                      + .cr
                      > .cr-icon {
                      transform: scale(1) rotateZ(0deg);
                      opacity: 1;
                    }

                    .checkbox label input[type="checkbox"]:disabled + .cr {
                      opacity: 0.5;
                    }
                    &.agree-condition {
                      display: flex;
                      justify-content: end;
                      margin-bottom: 15px;
                      .checkbox {
                        label {
                          strong {
                            color: #787878;
                            font-weight: normal;
                          }
                          &.error-checkbox {
                            .cr {
                              border: 1px solid #fc3667;
                            }
                            strong {
                              color: #fc3667;
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }

            .item-form {
              padding-right: 0;
              @include breakpoint(lores) {
                padding-left: 0;
              }
              &.item-keyword {
                .text-tag {
                  .text-note-partner {
                    color: #48bafd;
                    font-size: 14px;
                  }
                  p {
                    font-weight: 500;
                    color: #252525;
                  }
                }
                .tag {
                  margin-top: 25px;
                  border-bottom: 1px solid #ced4da;
                  a {
                    font-size: 12px;
                    padding: 6px 15px;
                    border: 1px dotted #48bafd;
                    color: #48bafd;
                    margin: 0 19px 18px 0;
                    display: inline-block;
                    border-radius: 15px;
                    background: #f2faff;
                    &.selected {
                      background: #48bafd;
                      color: #fff;
                    }
                  }
                  span {
                    font-size: 12px;
                    padding: 6px 15px;
                    border: 1px dotted #48bafd;
                    color: #48bafd;
                    margin: 0 19px 18px 0;
                    display: inline-block;
                    border-radius: 15px;
                    background: #f2faff;
                    &:hover {
                      cursor: pointer;
                    }
                    &.selected {
                      background: #48bafd;
                      color: #fff;
                    }
                  }
                }
              }
            }
            .item-form-center {
              @include breakpoint(lores) {
                padding: 0;
              }
            }

            label {
              color: #787878;
              font-size: 18px;
              strong {
                color: #48bafd;
              }
            }
            &.content-button {
              padding-top: 30px;
              border-top: 2px solid #000;
              .item-button {
                padding-right: 0;
                @include breakpoint(lores) {
                  padding-left: 0;
                }
                .item-row {
                  margin: 0;
                  .item-prev {
                    padding: 0 5px 0 0;
                    @include breakpoint(lores) {
                      padding: 0;
                    }
                  }
                  .item-next {
                    padding: 0;
                  }
                }
                button {
                  width: 100%;
                  padding: 15px;
                  border: 0;
                  @include breakpoint(lores) {
                    margin-bottom: 10px;
                  }
                  &.prev {
                    background-color: #aaaaaa;
                    color: #fff;
                  }
                  &.next {
                    background-color: #252525;
                    color: #fff;
                  }
                }
              }
            }
          }
          .info-extend {
            .info-title {
              width: 100%;
              text-align: center;
              margin-bottom: 20px;
              h4 {
                font-size: 22px;
                color: #000;
                span {
                  color: #48bafd;
                  font-size: 22px;
                }
              }
            }
            .item-select {
              padding-right: 0;
              @include breakpoint(lores) {
                padding-left: 0;
              }
            }
            .item-sns {
              padding-right: 0;
              @include breakpoint(lores) {
                padding-left: 0;
              }
            }
            .content-condition {
              padding-right: 0;
              @include breakpoint(lores) {
                padding-left: 0;
              }
            }
          }
        }
      }
    }
  }
}
